Bug 1179813 (CVE-2014-9529) - CVE-2014-9529 kernel: use-after-free during key garbage collection
Summary: CVE-2014-9529 kernel: use-after-free during key garbage collection
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9529
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1179849 1179850 1179851 1179852 1179853 1179854 1223790 1223791
Blocks: 1179815
TreeView+ depends on / blocked
 
Reported: 2015-01-07 15:29 UTC by Vincent Danen
Modified: 2019-09-29 13:26 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A race condition flaw was found in the way the Linux kernel keys management subsystem performed key garbage collection. A local attacker could attempt accessing a key while it was being garbage collected, which would cause the system to crash.
Clone Of:
Environment:
Last Closed: 2015-06-23 12:16:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0864 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-04-21 19:00:52 UTC
Red Hat Product Errata RHSA-2015:1137 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-06-23 12:46:59 UTC
Red Hat Product Errata RHSA-2015:1138 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2015-06-23 12:28:04 UTC
Red Hat Product Errata RHSA-2015:1139 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2015-06-23 12:24:45 UTC

Description Vincent Danen 2015-01-07 15:29:50 UTC
It was reported [1] that the Linux kernel suffered from a flaw when doing key garbage collection.  The patch [1] describes the issue as:

"""
When a key is being garbage collected, it's key->user would get put before
the ->destroy() callback is called, where the key is removed from it's
respective tracking structures.

This leaves a key hanging in a semi-invalid state which leaves a window open
for a different task to try an access key->user. An example is
find_keyring_by_name() which would dereference key->user for a key that is
in the process of being garbage collected (where key->user was freed but
->destroy() wasn't called yet - so it's still present in the linked list).

"""

An unprivileged local user could use this flaw to crash the system.

[1] http://marc.info/?l=linux-kernel&m=141986398232547&w=2

Comment 1 Petr Matousek 2015-01-07 16:27:31 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates for the respective releases may address this issue.

Comment 4 Petr Matousek 2015-01-07 16:28:59 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1179853]

Comment 5 Fedora Update System 2015-01-11 02:58:10 UTC
kernel-3.17.8-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-01-13 00:05:45 UTC
kernel-3.17.8-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-04-21 15:02:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0864 https://rhn.redhat.com/errata/RHSA-2015-0864.html

Comment 10 errata-xmlrpc 2015-06-23 08:25:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1139 https://rhn.redhat.com/errata/RHSA-2015-1139.html

Comment 11 errata-xmlrpc 2015-06-23 08:28:24 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2015:1138 https://rhn.redhat.com/errata/RHSA-2015-1138.html

Comment 12 errata-xmlrpc 2015-06-23 08:47:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1137 https://rhn.redhat.com/errata/RHSA-2015-1137.html


Note You need to log in before you can comment on or make changes to this bug.